curl -X POST https://api.chargeapi.co/v1/accounts/acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"metadata": {
"account_segment": "enterprise"
}
}'
{
"id": "acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:12:16.501Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {
"account_segment": "enterprise"
},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:11:41.598Z",
"wallet_balance": 42850
}
Accounts
Update an Account
curl -X POST https://api.chargeapi.co/v1/accounts/acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"metadata": {
"account_segment": "enterprise"
}
}'
{
"id": "acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:12:16.501Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {
"account_segment": "enterprise"
},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:11:41.598Z",
"wallet_balance": 42850
}
Updates an account. Parameters you omit keep their current values.
curl -X POST https://api.chargeapi.co/v1/accounts/acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA \
-H "Authorization: Bearer ch_sk_test_..." \
--json '{
"metadata": {
"account_segment": "enterprise"
}
}'
{
"id": "acct_R0WW9U61sLoQP1WdE5Mw0W9Vqlbnk6tA",
"object": "account",
"billing_details": {
"billing_address": {
"city": "Paris",
"country": "FR",
"line1": "10 Rue de la Paix",
"line2": "Batiment A",
"postal_code": "75002",
"state": "Ile-de-France"
}
},
"business_type": null,
"contact": {
"email": "example@example.com",
"name": "Example",
"phone": "+33189000010"
},
"created": "2026-04-01T00:12:16.501Z",
"default_currency": "eur",
"description": null,
"email": "example@example.com",
"metadata": {
"account_segment": "enterprise"
},
"metric_system": "metric",
"name": "Example Account",
"plan": "professional",
"preferences": {
"billing_cycle": "monthly",
"default_currency": "eur",
"default_payment_method": null,
"notifications": true,
"report_frequency": "weekly",
"reporting_enabled": true
},
"registration_number": null,
"status": "active",
"type": "business",
"updated": "2026-04-01T02:11:41.598Z",
"wallet_balance": 42850
}
Parameters
Internal description or note.
Updated contact email.
New display name for the account.
Change the subscription plan.
More parameters
Set of key-value pairs that you can attach to an object.
Updated measurement system preference.Available options:
metric, imperialSettings for billing, notifications, and reporting.
Show properties
Show properties
Billing cycle preference (
monthly, weekly, etc.).Preferred default currency code.
ID of the default payment method used for billing.
Whether the account receives charging session notifications.
Frequency of scheduled reports.
Whether reporting is enabled for the account.
Set operational status for the account.Available options:
active, suspended, archivedReturns
Returns the updated account.⌘I

